Workflow Configuration History
curl --request GET \
--url https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"nodes": [
{
"data": {
"id": "start",
"name": "Start",
"node_type": "map",
"payload": {
"message": "Version 3 - Current"
}
}
},
{
"data": {
"id": "process",
"name": "Process",
"node_type": "function",
"subject": "quiva-function.process-v3",
"payload": {
"input": "{start}"
}
}
},
{
"data": {
"id": "notify",
"name": "Notify",
"node_type": "integration",
"subject": "slack.chat.postMessage",
"payload": {
"channel": "#alerts",
"text": "{process.result}"
}
}
}
],
"edges": [
{
"source": "start",
"target": "process",
"id": "e1"
},
{
"source": "process",
"target": "notify",
"id": "e2"
}
],
"result": "notify"
},
{
"nodes": [
{
"data": {
"id": "start",
"name": "Start",
"node_type": "map",
"payload": {
"message": "Version 2"
}
}
},
{
"data": {
"id": "process",
"name": "Process",
"node_type": "function",
"subject": "quiva-function.process-v2",
"payload": {
"input": "{start}"
}
}
}
],
"edges": [
{
"source": "start",
"target": "process",
"id": "e1"
}
],
"result": "process"
},
{
"nodes": [
{
"data": {
"id": "start",
"name": "Start",
"node_type": "map",
"payload": {
"message": "Version 1 - Initial"
}
}
}
],
"edges": [],
"result": "start"
}
]Workflows
Workflow Configuration History
Get workflow configuration history
GET
/
hub
/
workflows
/
{collection_topic}
/
{flow_topic}
/
history
Workflow Configuration History
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
Flow topic - hash of the names the node was created with
Query Parameters
Draft flag
Response
Workflow history
Array of nodes in the workflow
Show child attributes
Show child attributes
Array of edges connecting nodes in the workflow
Show child attributes
Show child attributes
Static data available to all nodes in the workflow
Expression to determine the final result of the workflow
Show child attributes
Show child attributes
⌘I